use clap::{Args, ValueEnum};
use std::path::PathBuf;
use tool_helper::Error;

#[derive(Args)]
pub struct Arguments {
    #[clap(value_enum, value_parser, default_value_t=Quality::High)]
    quality: Quality,
    #[clap(value_enum, value_parser, default_value_t=Sample::Stereo)]
    sample: Sample
}

#[derive(Copy, Clone, ValueEnum)]
pub enum Quality {
    Low,
    High
}

#[derive(Copy, Clone, ValueEnum)]
pub enum Sample {
    Mono,
    Stereo
}

pub fn convert(_args: Arguments, _input: PathBuf, _output: PathBuf) -> Result<(), Error> {
    Err(Error::not_implemented("XA Audio convert"))
}